{% extends "base-frontend.html" %}
{% block content %}

<!-- preview_form_page -->

{% if viewer_role is not defined %}
  {% set viewer_role = "guest" %}
{% endif %}



{% if previewing_edition %}
<div class="grid align-items-start fixed-top ds-header-title-with-button">
  <div class="g-col-2"></div>
  <div class="g-col-10">
    <nav class="navbar-expand-lg ds-accions-look-and-feel">
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#formActions" aria-controls="formActions" aria-expanded="false" aria-label="Toggle navigation">
        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit" aria-hidden="true"><path d="M11 4H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-7"></path><path d="M18.5 2.5a2.121 2.121 0 0 1 3 3L12 15l-4 1 1-4 9.5-9.5z"></path></svg>
      </button>
      <div class="navbar-collapse collapse mt-1 gap-2" id="formActions">
        <form class="d-inline" action="{{url_for('form_bp.cancel_edition', form_id=form.id, killed=False|int)}}" method="POST">
          <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
          <button type="submit" class="btn btn-sm btn-outline-primary">
            {{ _("Cancel") }}
          </button>
        </form>
        <form class="d-inline" action="{{url_for('form_bp.save_form', form_id=form.id)}}" method="POST" >
          <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
          <button type="submit" class="btn btn-sm btn-outline-primary">
            {{ _("Save changes") }}
          </button>
        </form>
        <button type="button" class="btn btn-sm btn-primary" onclick="document.location='{{url_for('form_bp.edit_form', form_id=form.id, preview=True)}}'">
          {{ _("Edit again") }}
        </button>
      </div>
    </nav>
  </div>
</div>
{% endif %}

{% if not previewing_edition %}
<div class="grid fixed-top ds-header-title-with-button">
  <div class="g-col-6">
    {% include 'form/partials/preview-nav-menu.html' %}
  </div>
  <div class="g-col-6">
    <div class="text-right text-nowrap">
      {% if viewer_role == "editor" %}
      <div class="dropdown d-inline">
        <button class="dropdown-toggle btn btn-sm btn-outline-primary mt-1" href="#" role="button" id="dropdownEditOptions" data-bs-toggle="dropdown" aria-expanded="false">
          {{ _("Edit") }}
        </button>
        <ul class="dropdown-menu" aria-labelledby="dropdownEditOptions" role="navigation">
          <li>
            <a class="dropdown-item" href="{{url_for('form_bp.inspect_form', form_id=form.id, goto='introduction-text')}}">{{ _("Introduction text") }}</a>
          </li>
          <li>
            <a class="dropdown-item" href="{{url_for('form_bp.edit_form', form_id=form.id)}}">{{ _("Form fields") }}</a>
          </li>
          <li>
            <a class="dropdown-item" href="{{url_for('form_bp.inspect_form', form_id=form.id, goto="privacy-statements")}}">{{ _("Privacy statement") }}</a>
          </li>
          <li>
            <hr class="dropdown-divider">
          </li>
          <li>
            <a class="dropdown-item" href="{{url_for('form_bp.look_and_feel', form_id=form.id)}}">{{ _("Look and feel") }}</a>
          </li>
        </ul>
      </div>
      {% endif %}
      <a href="{{go_back_url}}" class="mt-1 ms-1 btn btn-sm btn-primary">{{ _("Go back") }}</a>
    </div>
  </div>
</div>
{% endif %}

<div class="grid mt-5 pt-sm-5">
  <div class="g-col-12 g-col-sm-10 g-start-sm-2 g-col-md-8 g-start-md-3 g-col-lg-6 g-start-lg-4 g-col-xxl-4 g-start-xxl-5">
  {% with preview_only=True %}
    {% include 'public_form/partials/view-form.html' %}
  {% endwith %}
  </div>
</div>

{% endblock %}
